<script lang="ts">
  import { browser } from '$app/environment';
  import { page } from '$app/stores';
  import FooterNav from './footer/FooterNav.svelte';
  import LanguageSelector from './footer/LanguageSelector.svelte';
  import Subscribe from './footer/Subscribe.svelte';
  import ThemeSelector from './footer/ThemeSelector.svelte';
  import FooterSubNav from './footer/sitemaps/FooterSubNav.svelte';
  import MobileSitemap from './footer/sitemaps/MobileSitemap.svelte';

  let screenSize: number;

  $: isHome = $page.url.pathname === '/';
  $: browser && $page && updateType();
  $: screenSize && updateType();
  let sitemapType = 0;

  const updateType = () => {
    if (window.innerWidth > 768) {
      sitemapType = 1;
    } else {
      sitemapType = 0;
    }
  };
</script>

<svelte:window bind:innerWidth={screenSize} />

<footer>
  <div class="footer-nav"><FooterNav /></div>
  <div class="sub">
    <div class="config"><ThemeSelector /><LanguageSelector /></div>
    <div class="sitemap">
      {#if sitemapType === 0}
        <MobileSitemap />
      {:else if sitemapType === 1}
        <FooterSubNav />
      {/if}
    </div>
    {#if isHome}
      <div class="subscribe">
        <Subscribe />
      </div>
    {/if}
  </div>
  <div class="copyright flex justify-between">
    <span>Islands © 2023. All rights reserved.</span>
    <span>
      <a>Terms of use</a> | <a>Privacy Policy</a>
    </span>
  </div>
</footer>

<style lang="postcss">
  footer {
    position: relative;
    overflow: hidden;
    width: 100%;
    border-radius: var(--radius-4) var(--radius-4) 0 0;
    background-color: hsl(0deg 0% 97%);
    font-size: 0.8rem;

    & > div + div {
      border-bottom: var(--footer-separator);
    }
  }

  .sub {
    overflow-y: hidden;
  }

  .config {
    position: relative;
    display: flex;
    justify-content: space-between;
    padding: calc(var(--content-margin) / 2) var(--content-margin);
    border-bottom: var(--footer-separator);
  }

  .sitemap {
    background-color: white;

    /* padding: calc(var(--content-margin) / 2) 0 0; */
  }

  .copyright {
    padding: calc(var(--content-margin) / 2) var(--content-margin);
  }

  @media (width >= 768px) {
    footer {
      border-radius: 0;
    }

    .sub {
      position: relative;
      display: flex;
      width: 100%;
    }

    .config {
      display: grid;
      height: 50px;
      border-bottom: none;
      gap: 12px;
    }

    .sitemap {
      width: 100%;
    }

    .subscribe {
      width: 50%;
      max-width: 300px;
    }
  }
</style>
